#ifndef COLLISIONWATCHERS_HH
#define COLLISIONWATCHERS_HH

#include <set>

class CollisionWatcher;

class CollisionWatchers
{
public:
	CollisionWatchers();
	void registerWatcher(CollisionWatcher *watcher);
	void unregisterWatcher(CollisionWatcher *watcher);
	void notifyAll();
private:
	std::set<CollisionWatcher *> watchers;
};

#endif