#include "colorsButton.hh"
#include "colorsWindow.hh"

ColorsButton::ColorsButton(Gtk::Button::BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::Button(object)
{
	refGlade->get_widget_derived("colorsWindow", colorsWindow);
	this->signal_clicked().connect(sigc::mem_fun(*this, &ColorsButton::clicked));
}

void ColorsButton::clicked()
{
	colorsWindow->show_all();
}
