#include <cppunit/extensions/HelperMacros.h>
#include <cppunit/TestFixture.h>
#include "environment.hh"
#include "molecule.hh"

class EnvironmentTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE(EnvironmentTest);
	CPPUNIT_TEST(testInsertMolecule);
	CPPUNIT_TEST(testHasMoleculeNear);
	CPPUNIT_TEST_SUITE_END();
public:
	void setUp();
	void tearDown();
	void testInsertMolecule();
	void testHasMoleculeNear();
private:
	Environment *env;
	Molecule *m;
};
