#include "exitButton.hh"
#include "mainWindow.hh"

ExitButton::ExitButton(BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::Button(object)
{
	this->signal_clicked().connect(sigc::mem_fun(*this, &ExitButton::clicked));
	refGlade->get_widget_derived("screen", mainWindow);
}

void ExitButton::clicked()
{
	mainWindow->hide();
}
