#include "menuQuit.hh"
#include "mainWindow.hh"

MenuQuit::MenuQuit(BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::MenuItem(object)
{
	this->signal_activate().connect(sigc::mem_fun(*this, &MenuQuit::clicked));
	refGlade->get_widget_derived("screen", mainWindow);
}

void MenuQuit::clicked()
{
	mainWindow->hide();
}
