#ifndef NUMBERSPIN_HH
#define NUMBERSPIN_HH

#include <gtkmm.h>
#include <libglademm.h>
#include "parameterWidget.hh"

class PathsWindow;

class NumberSpin : public Gtk::SpinButton, public ParameterWidget
{
public:
	NumberSpin(BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade);
	void updateState();
private:
	PathsWindow *paths;
	void valueChanged();
};

#endif
