#include "pathsButton.hh"
#include "pathsWindow.hh"

PathsButton::PathsButton(BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::Button(object)
{
	this->signal_clicked().connect(sigc::mem_fun(*this, &PathsButton::clicked));
	refGlade->get_widget_derived("pathsWindow", paths);
}

void PathsButton::clicked()
{
	paths->show_all();
}
