#include "pauseButton.hh"
#include "simulation.hh"

PauseButton::PauseButton(BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::ToggleButton(object)
{
	this->signal_clicked().connect(sigc::mem_fun(*this, &PauseButton::toggle));
}

void PauseButton::toggle()
{
	if (this->get_active())
		Simulation::getInstance()->pause();
	else
		Simulation::getInstance()->unpause();
}

