#include "colorsMenu.hh"
#include "colorsWindow.hh"

ColorsMenu::ColorsMenu(Gtk::MenuItem::BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::MenuItem(object)
{
	this->signal_activate().connect(sigc::mem_fun(*this, &ColorsMenu::clicked));
	refGlade->get_widget_derived("colorsWindow", colorsWindow);
}

void ColorsMenu::clicked()
{
	this->colorsWindow->show_all();
}