#include "cpsMenu.hh"
#include "configuration.hh"

CPSMenu::CPSMenu(Gtk::CheckMenuItem::BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::CheckMenuItem(object)
{
	this->signal_activate().connect(sigc::mem_fun(*this, &CPSMenu::clicked));
	Configuration::getInstance()->addConfigurationWidget(SHOW_CPS, this);
}

void CPSMenu::updateState()
{
	this->set_active(Configuration::getInstance()->shouldShowCPS());
}

void CPSMenu::clicked()
{
	Configuration::getInstance()->toggleShowCPS();
}