#ifndef ENVIRONMENTCOMBO_HH
#define ENVIRONMENTCOMBO_HH

#include <gtkmm.h>
#include <libglademm.h>
#include "parameterWidget.hh"

#define CUBE_INDEX 0
#define CYLINDER_INDEX 1

class Environment;

class EnvironmentCombo : public Gtk::ComboBox, public ParameterWidget
{
public:
	EnvironmentCombo(BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade);
	void updateState();
private:
	void changed();
	Gtk::Label *refLabel;
};

#endif