#ifndef ENVIRONMENTFACTORY_HH
#define ENVIRONMENTFACTORY_HH

class Environment;

typedef enum environmentType
{
	CUBE,
	CYLINDER,
	OTHER
} EnvironmentType;

class EnvironmentFactory
{
public:
	EnvironmentFactory();
	Environment *createEnvironment(EnvironmentType type, double scale, double temperature);
};

#endif
	