#ifndef ONSCREENDIFFUSION_HH
#define ONSCREENDIFFUSION_HH

#include <ode/ode.h>
#include "onScreenStatistic.hh"

class Environment;
class Molecule;

class OnScreenDiffusion : public OnScreenStatistic
{
public:
	OnScreenDiffusion(Environment *env);
	void update(double interval);
private:
	Environment *env;
	double elapsedTime;
	double maxElapsedTime;

	double calculateDiffusion(double interval);
};

#endif
