#include "pathColorsMenu.hh"
#include "pathsWindow.hh"

PathColorsMenu::PathColorsMenu(Gtk::MenuItem::BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::MenuItem(object)
{
	this->signal_activate().connect(sigc::mem_fun(*this, &PathColorsMenu::clicked));
	refGlade->get_widget_derived("pathsWindow", pathsWindow);
}

void PathColorsMenu::clicked()
{
	this->pathsWindow->show_all();
}