#ifndef PATHSWINDOW_HH
#define PATHSWINDOW_HH

#include <gtkmm.h>
#include <libglademm.h>
#include <vector>
#include "color.hh"

class Molecule;

class PathsWindow : public Gtk::Window
{
public:
	PathsWindow(BaseObjectType *object, Glib::RefPtr<Gnome::Glade::Xml> &refGlade);
	void setMaxMoleculeIndex(unsigned int maxIndex);
private:
	Glib::RefPtr<Gnome::Glade::Xml> refGlade;
	Gtk::ColorButton *colorChooser;
	Gtk::SpinButton *number;
	void changedMoleculeID();
	void close();
	void setColor();
};

#endif