#include "type.hh"

Type::Type(double radius, double mass) : radius(radius), mass(mass)
{
}

Type::Type(double radius) : radius(radius), mass(1.66) // by default, the mass of the hydrogen atom
{
}

Type::Type() : radius(1.0), mass(1.66)
{
}

double Type::getRadius()
{
	return radius;
}

double Type::getMass()
{
	return mass;
}