#include <cppunit/extensions/HelperMacros.h>
#include <cppunit/TestFixture.h>
#include "vector.hh"

class VectorTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE(VectorTest);
	CPPUNIT_TEST(testSum);
	CPPUNIT_TEST(testSubtract);
	CPPUNIT_TEST(testScalarMult);
	CPPUNIT_TEST(testDot);
	CPPUNIT_TEST(testVectorMult);
	CPPUNIT_TEST(testLength);
	CPPUNIT_TEST(testCompare);
	CPPUNIT_TEST(testReflect);
	CPPUNIT_TEST(testRandomDirection);
	CPPUNIT_TEST(testDirection);
	CPPUNIT_TEST_SUITE_END();
public:
	void setUp();
	void tearDown();
	void testSum();
	void testSubtract();
	void testScalarMult();
	void testDot();
	void testVectorMult();
	void testLength();
	void testCompare();
	void testReflect();
	void testRandomDirection();
	void testDirection();
private:
	Vector v1, v2, v3, v4, v5;
};